Index: palm/trunk/SCRIPTS/NCL/.ncl_preferences
===================================================================
--- palm/trunk/SCRIPTS/NCL/.ncl_preferences	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/.ncl_preferences	(revision 175)
@@ -1,77 +1,129 @@
-___Parameter list________________________________________________________________________________
-___Please write your values/strings(wihtout " ") below the corresponding parameter line__________
-_________________________________________________________________________________________________
-___parameter name____example____________________________________default value_____________used by
-_________________________________________________________________________________________________
+___Parameter list_______________________________________________________________________________________
+___Please write your values/strings(wihtout " ") below the corresponding parameter line_________________
+________________________________________________________________________________________________________
+___parameter name__________example____________________________________default value______________used by
+________________________________________________________________________________________________________
 
-___'file_in'_________[path/name.nc; i.e. ~/.../example.nc]______default = input file______[ALL]
-input file
-___'format_out'______[ncgm; ps; eps; epsi; pdf; x11]____________default = x11_____________[ALL]
+___'file_1'________________[path/name.nc; i.e. ~/.../example.nc]______default = File in_________[ALL]
+File in
+___'format_out'____________[ncgm; ps; eps; epsi; pdf; x11]____________default = x11_____________[ALL]
 x11
-___'file_out'________[path/name; i.e. ~/.../test]_______________default = test____________[ALL]
+___'file_out'______________[path/name; i.e. ~/.../test]_______________default = test____________[ALL]
 test
-___start_time_step___[0;1;...]__________________________________default = t(0)____________[ALL]
+___start_time_step_________[0;1;...]__________________________________default = t(0)____________[ALL]
 t(0)
-___end_time_step_____[1;2;...]__________________________________default = t(end)__________[ALL]
+___end_time_step___________[1;2;...]__________________________________default = t(end)__________[ALL]
 t(end)
-___no_columns________[1;2;...]__________________________________default = 1_______________[ALL]
+___no_columns______________[1;2;...]__________________________________default = 1_______________[ALL]
 1
-___no_lines__________[1;2;...]__________________________________default = 2_______________[ALL]
+___no_lines________________[1;2;...]__________________________________default = 2_______________[ALL]
 2
-___'var'_____________[,E,dt,umax,;...]__________________________default = variables_______[ALL]
+___'var'___________________[,E,dt,umax,;...]__________________________default = variables_______[ALL]
 variables
-___combine___________[0] or [1]_________________________________default = 0_______________[PR]
+___combine_________________[0] or [1]_________________________________default = 0_______________[PR]
 0
-___number_comb_______[2] or [3]_________________________________default = 0_______________[PR]
+___number_comb_____________[2] or [3]_________________________________default = 0_______________[PR]
 0
-___'c_var'___________[,us2,vs2,ws2,;...]________________________default = c_variables_____[PR]
+___'c_var'_________________[,us2,vs2,ws2,;...]________________________default = c_variables_____[PR]
 c_variables
-___dash______________[0] or [1]_________________________________default = 0_______________[PR]
+___dash____________________[0] or [1]_________________________________default = 0_______________[PR+SP]
 0
-___black_____________[0] or [1]_________________________________default = 0_______________[PR]
+___black___________________[0] or [1]_________________________________default = 0_______________[PR+SP]
 0
-___min_z_____________[0;10;...]_________________________________default = 0_______________[PR]
+___min_z___________________[0;10;...]_________________________________default = 0_______________[PR]
 0
-___max_z_____________[100;1000;...]_____________________________default = max(z_u)________[PR] 
+___max_z___________________[100;1000;...]_____________________________default = max(z_u)________[PR] 
 max(z_u)
-___over______________[0] or [1]_________________________________default = 0_______________[PR+TS]
+___over____________________[0] or [1]_________________________________default = 0_______________[PR+TS]
 0
-___vector____________[0] or [1]_________________________________default = 0_______________[CS]
+___vector__________________[0] or [1]_________________________________default = 0_______________[CS]
 0
-___'vec1'____________[,u,;,v,;...]______________________________default = vec1____________[CS]
+___'vec1'__________________[,u,;,v,;...]______________________________default = vec1____________[CS]
 vec1
-___'vec2'____________[,u,;,v,;...]______________________________default = vec2____________[CS]
+___'vec2'__________________[,u,;,v,;...]______________________________default = vec2____________[CS]
 vec2
-__'plotvec'__________[,u,;,v,;...]______________________________default = plotvec_________[CS]
+__'plotvec'________________[,u,;,v,;...]______________________________default = plotvec_________[CS]
 plotvec
-___ref_mag___________[0.1;0.02;...]_____________________________default = 0.05____________[CS]
+___ref_mag_________________[0.1;0.02;...]_____________________________default = 0.05____________[CS]
 0.05
-___'mode'____________[Fill], [Line] or [Both]___________________default = Fill____________[CS]
+___'mode'__________________[Fill], [Line] or [Both]___________________default = Fill____________[CS]
 Fill
-___'sort'____________[time] or [layer]__________________________default = time____________[CS]
-time
-___'fill_mode'_______[AreaFill], [RasterFill] or [CellFill]_____default = AreaFill________[CS]
+___'sort'__________________[time] or [layer]__________________________default = layer___________[CS+SP]
+layer
+___'fill_mode'_____________[AreaFill], [RasterFill] or [CellFill]_____default = AreaFill________[CS]
 AreaFill
-___shape_____________[0] or [1]_________________________________default = 1_______________[CS]
+___shape___________________[0] or [1]_________________________________default = 1_______________[CS]
 1
-___xyc_______________[0] or [1]_________________________________default = 0_______________[CS]
+___xyc_____________________[0] or [1]_________________________________default = 0_______________[CS]
 0
-___xzc_______________[0] or [1]_________________________________default = 0_______________[CS]
+___xzc_____________________[0] or [1]_________________________________default = 0_______________[CS]
 0
-___yzc_______________[0] or [1]_________________________________default = 0_______________[CS]
+___yzc_____________________[0] or [1]_________________________________default = 0_______________[CS]
 0
-___xs________________[0,1,...]__________________________________default = x0______________[CS+PR]
+___xs______________________[0,1,...]__________________________________default = x0______________[CS+PR]
 x0
-___xe________________[1;2;...]__________________________________default = xdim____________[CS+PR]
+___xe______________________[1;2;...]__________________________________default = xdim____________[CS+PR]
 xdim
-___ys________________[0;1;...]__________________________________default = y0______________[CS]
+___ys______________________[0;1;...]__________________________________default = y0______________[CS]
 y0
-___ye________________[1;2;...]__________________________________default = ydim____________[CS]
+___ye______________________[1;2;...]__________________________________default = ydim____________[CS]
 ydim
-___zs________________[0;1;...]__________________________________default = z0______________[CS]
+___zs______________________[0;1;...]__________________________________default = z0______________[CS]
 z0
-___ze________________[1;2;...]__________________________________default = zdim____________[CS]
+___ze______________________[1;2;...]__________________________________default = zdim____________[CS]
 zdim
-___prof3d____________[0] or [1]_________________________________default = 0_______________[PR]
+___prof3d__________________[0] or [1]_________________________________default = 0_______________[PR]
 0
-___end of file ".ncl_preferences"_____________________________________________________________
+___logy____________________[0] or [1]_________________________________default = 0_______________[PR+SP]
+0
+___norm____________________[1;5.4;233;...]____________________________default = 1_______________[PR+SP]
+1
+___no_files________________[1;2,3;...]________________________________default = 1_______________[PR]
+1
+___'name_legend_1'_________[i.e. File 2]______________________________default = File 1__________[PR]
+File 1
+___'file_2'________________[path/name.nc; i.e. ~/.../example.2.nc]____default = File in_________[PR]
+File in
+___'name_legend_2'_________[i.e. File 2]______________________________default = File 2__________[PR]
+File 2
+___'file_3'________________[path/name.nc; i.e. ~/.../example.3.nc]____default = File in_________[PR]
+File in
+___'name_legend_3'_________[i.e. File 3]______________________________default = File 3__________[PR]
+File 3
+___'file_4'________________[path/name.nc; i.e. ~/.../example.4.nc]____default = File in_________[PR]
+File in
+___'name_legend_4'_________[i.e. File 4]______________________________default = File 4__________[PR]
+File 4
+___'file_5'________________[path/name.nc; i.e. ~/.../example.5.nc]____default = File in_________[PR]
+File in
+___'name_legend_5'_________[i.e. File 5]______________________________default = File 5__________[PR]
+File 5
+___'file_6'________________[path/name.nc; i.e. ~/.../example.6.nc]____default = File in_________[PR]
+File in
+___'name_legend_6'_________[i.e. File 6]______________________________default = File 6__________[PR]
+File 6
+___'file_7'________________[path/name.nc; i.e. ~/.../example.7.nc]____default = File in_________[PR]
+File in
+___'name_legend_7'_________[i.e. File 7]______________________________default = File 7__________[PR]
+File 7
+___'file_8'________________[path/name.nc; i.e. ~/.../example.8.nc]____default = File in_________[PR]
+File in
+___'name_legend_8'_________[i.e. File 8]______________________________default = File 8__________[PR]
+File 8
+___'file_9'________________[path/name.nc; i.e. ~/.../example.9.nc]____default = File in_________[PR]
+File in
+___'name_legend_9'_________[i.e. File 9]______________________________default = File 9__________[PR]
+File 9
+___'file_10'_______________[path/name.nc; i.e. ~/.../example.10.nc]___default = File in_________[PR]
+File in
+___'name_legend_10'________[i.e. File 10]_____________________________default = File 10_________[PR]
+File 10
+___'file_11'_______________[path/name.nc; i.e. ~/.../example.11.nc]___default = File in_________[PR]
+File in
+___'name_legend_11'________[i.e. File 11]_____________________________default = File 11_________[PR]
+File 11
+___'file_12'_______________[path/name.nc; i.e. ~/.../example.12.nc]___default = File in_________[PR]
+File in
+___'name_legend_12'________[i.e. File 12]_____________________________default = File 12_________[PR]
+File 12
+___end of file ".ncl_preferences"_______________________________________________________________________
Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 175)
@@ -11,12 +11,17 @@
    ; ***************************************************
 
-   if (isfilepresent(".ncl_preferences")) then
-      parameter = asciiread(".ncl_preferences",77,"string")
+   if (isfilepresent("~/.ncl_preferences")) then
+      parameter = asciiread("~/.ncl_preferences",129,"string")
       delete(parameter@_FillValue)
    else
-      print(" ")
-      print("'.ncl_preferences' is not existent")
-      print(" ")
-      exit
+      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
+         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
+         delete(parameter@_FillValue)
+      else
+         print(" ")
+         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
+         print(" ")
+         exit
+      end if
    end if
 
@@ -25,21 +30,42 @@
    ; ***************************************************
    
-   if ( .not. isvar("file_in") ) then     		; path+name of input file      
-      if (parameter(7) .EQ. "input file") then
-         print(" ")
-         print("Please provide input file 'file_in = ' either in prompt or parameter_list")
+   if ( .not. isvar("file_1") ) then     		  
+      if (parameter(7) .EQ. "File in") then
+         print(" ")
+         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
          print(" ")
          exit
       else
          file_in = parameter(7)
-      end if      
-   end if
-   if ( .not. isvar("format_out") ) then   		; format of output file 
+      end if   
+   else
+      file_in = file_1   
+   end if
+   if (.not. isfilepresent(file_in)) then
+      print(" ")
+      print("Your 1st input file: '"+file_in+"' does not exist")
+      print(" ")
+      exit
+   end if 
+
+   if ( .not. isvar("format_out") ) then   		
       format_out = "x11"
       if (parameter(9) .NE. "x11") then
          format_out = parameter(9)  
+         if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+            print(" ")
+            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+            print(" ")
+         end if  
       end if 
-   end if
-   if ( .not. isvar("file_out") ) then    	 	; path+name of output file
+   else
+      if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+         print(" ")
+         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+         print(" ")
+      end if   
+   end if
+
+   if ( .not. isvar("file_out") ) then    	 	
       file_out = "test"
       if (parameter(11) .NE. "test") then
@@ -47,5 +73,5 @@
      end if     
    end if
-   if ( .not. isvar("no_columns") ) then    		; number of plots in one row
+   if ( .not. isvar("no_columns") ) then    		
       no_columns = 1
       if (parameter(17) .NE. "1") then
@@ -53,5 +79,5 @@
       end if
    end if
-   if ( .not. isvar("no_lines") ) then     		; number of plot-lines on one sheet
+   if ( .not. isvar("no_lines") ) then     		
       no_lines = 2
       if (parameter(19) .NE. "2") then
@@ -59,73 +85,145 @@
       end if
    end if 
-   if ( .not. isvar("sort") ) then   			; sort of plots
-      sort = "time"
-      if (parameter(51) .NE. "time") then
+
+   if ( .not. isvar("sort") ) then   			
+      sort = "layer"
+      if (parameter(51) .NE. "layer") then
          sort = parameter(51)  
+         if (sort .NE. "time") then
+            print(" ")
+            print("Your 'sort'= "+sort+" is invalid and set to 'layer'")
+            print(" ")
+            sort = "layer"  
+         end if
+      end if
+   else
+      if (sort .NE. "time" .OR. sort .NE. "layer")then
+         print(" ")
+         print("Your 'sort'= "+sort+" is invalid and set to 'layer'")
+         print(" ")
+         sort = "layer"    
       end if
    end if 
-   if ( .not. isvar("mode") ) then   			; pattern of contour plots
+
+   if ( .not. isvar("mode") ) then   			
       mode = "Fill"
       if (parameter(49) .NE. "Fill") then
          mode = parameter(49)  
-      end if
-   end if
-   if ( .not. isvar("fill_mode") ) then 		; pattern of filling 
+         if (mode .NE. "Line" .AND. mode .NE. "Both")then
+            print(" ")
+            print("Your 'mode'= "+mode+" is invalid and set to 'Fill'")
+            print(" ")
+            mode = "Fill"
+         end if
+      end if
+   else
+      if (mode .NE. "Line" .AND. mode .NE. "Both")then
+         print(" ")
+         print("Your 'mode'= "+mode+" is invalid and set to 'Fill'")
+         print(" ")
+         mode = "Fill"
+      end if   
+   end if
+
+   if ( .not. isvar("fill_mode") ) then 		
       fill_mode = "AreaFill"
       if (parameter(53) .NE. "AreaFill") then
-         mode = parameter(53)  
+         fill_mode = parameter(53)  
+         if (fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill")then
+            print(" ")
+            print("Your 'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
+            print(" ")
+            fill_mode = "AreaFill"
+         end if
       end if 
-   end if
-   if ( .not. isvar("shape") ) then   			; keeping of aspect ratio
+   else
+      if (fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill")then
+         print(" ")
+         print("Your 'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
+         print(" ")
+         fill_mode = "AreaFill"
+      end if
+   end if
+
+   if ( .not. isvar("shape") ) then   			
       shape = 1
       if (parameter(55) .NE. "1") then
          shape = stringtointeger(parameter(55)) 
-         if (stringtointeger(parameter(55)) .NE. 0) then
-            print(" ")
-            print("Please set 'shape' to 0 or 1")
-            print(" ")
-            exit
+         if (shape .NE. 0) then
+            print(" ")
+            print("Your 'shape'= "+shape+" is invalid and set to 1")
+            print(" ")
+            shape = 1
          end if 
-      end if  
-   end if  
-   if ( .not. isvar("var") ) then     			; set output of all variables
+      end if
+   else
+      if (shape .NE. 0) then
+         print(" ")
+         print("Your 'shape'= "+shape+" is invalid and set to 1")
+         print(" ")
+         shape = 1
+      end if      
+   end if 
+ 
+   if ( .not. isvar("var") ) then     			
       check = True
    end if
 
-   if ( .not. isvar("xyc") ) then   			; turn xy cross-section on or off
+   if ( .not. isvar("xyc") ) then   			
       xyc = 0
       if (parameter(57) .NE. "0") then
          xyc = stringtointeger(parameter(57)) 
-         if (stringtointeger(parameter(57)) .NE. 1) then
-            print(" ")
-            print("Please set 'xyc' to 0 or 1")
-            print(" ")
-            exit
+         if (xyc .NE. 1) then
+            print(" ")
+            print("Your 'xyc'= "+xyc+" is invalid and set to 0")
+            print(" ")
+            xyc = 0
          end if 
       end if
+   else
+      if (xyc .NE. 1) then
+         print(" ")
+         print("Your 'xyc'= "+xyc+" is invalid and set to 0")
+         print(" ")
+         xyc = 0
+      end if 
    end if 
-   if ( .not. isvar("xzc") ) then   			; turn xz cross-section on or off 
+   if ( .not. isvar("xzc") ) then   			
       xzc = 0
       if (parameter(59) .NE. "0") then
          xzc = stringtointeger(parameter(59)) 
-         if (stringtointeger(parameter(59)) .NE. 1) then
-            print(" ")
-            print("Please set 'xzc' to 0 or 1")
-            print(" ")
-            exit
+         if (xzc .NE. 1) then
+            print(" ")
+            print("Your 'xzc'= "+xzc+" is invalid and set to 0")
+            print(" ")
+            xzc = 0
          end if 
       end if
-   end if
-   if ( .not. isvar("yzc") ) then   			; turn yz cross-section on or off 
+   else
+      if (xzc .NE. 1) then
+         print(" ")
+         print("Your 'xzc'= "+xzc+" is invalid and set to 0")
+         print(" ")
+         xzc = 0
+      end if
+   end if
+   if ( .not. isvar("yzc") ) then   			
       yzc = 0
       if (parameter(61) .NE. "0") then
          yzc = stringtointeger(parameter(61)) 
-         if (stringtointeger(parameter(61)) .NE. 1) then
-            print(" ")
-            print("Please set 'yzc' to 0 or 1")
-            print(" ")
-            exit
+         if (yzc .NE. 1) then
+            print(" ")
+            print("Your 'yzc'= "+yzc+" is invalid and set to 0")
+            print(" ")
+            yzc = 0
          end if 
       end if
+   else
+      if (yzc .NE. 1) then
+         print(" ")
+         print("Your 'yzc'= "+yzc+" is invalid and set to 0")
+         print(" ")
+         yzc = 0
+      end if 
    end if
 
@@ -160,5 +258,5 @@
       end if
    end if
-   if ( .not. isvar("vector") ) then   			; sort of plots
+   if ( .not. isvar("vector") ) then   		
       vector = 0
       if (parameter(39) .NE. "0") then
@@ -172,5 +270,5 @@
       end if
    end if
-   if ( .not. isvar("ref_mag") ) then   			; sort of plots
+   if ( .not. isvar("ref_mag") ) then   			
       ref_mag = 0.05
       if (parameter(47) .NE. "0.05") then
@@ -272,5 +370,5 @@
    cs_res@gsnYAxisIrregular2Linear = True  
 
-   if( shape .eq. 1 ) then          			; keep the shape
+   if( shape .eq. 1 ) then          			
       cs_res@gsnShape = True
    end if
@@ -296,5 +394,5 @@
    cs_resP = True
    cs_resP@txString               = f@title
-   cs_resP@txFuncCode             = "~"         	; necessary for title
+   cs_resP@txFuncCode             = "~"         	
    cs_resP@txFontHeightF          = .02
    
@@ -304,5 +402,5 @@
       cs_res@gsnSpreadColors      = True
       cs_res@cnFillMode           = fill_mode
-      cs_res@lbOrientation        = "Vertical"  	; vertical label bar
+      cs_res@lbOrientation        = "Vertical"  	
       cs_res@cnLinesOn            = False	
       cs_res@cnLineLabelsOn       = False
@@ -313,5 +411,5 @@
       cs_res@gsnSpreadColors      = True
       cs_res@cnFillMode           = fill_mode
-      cs_res@lbOrientation        = "Vertical"  	; vertical label bar
+      cs_res@lbOrientation        = "Vertical"  
       cs_res@cnLinesOn            = True
       cs_res@cnLineLabelsOn       = True
@@ -450,6 +548,6 @@
 
    print(" ")
-   print("Output from "+t_all(start_time_step)/3600+"h = "+t_all(start_time_step)+"s => index = "+start_time_step)
-   print("       till "+t_all(end_time_step)/3600+"h = "+t_all(end_time_step)+"s => index = "+end_time_step)
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
    print(" ")
   
@@ -735,5 +833,5 @@
    end if
   
-   if ( .not. isvar("zs") ) then     			; start of z-coordinate range
+   if ( .not. isvar("zs") ) then     			
       zs = 0
       if (parameter(71) .NE. "z0") then
@@ -1283,9 +1381,7 @@
    end do
 
-   if (no_var .EQ. 0) then
+   if (n .EQ. 0) then
       print(" ")
-      print("Please select a variable 'var=' or use the default value")
-      print(" ")
-      print("Your selection '"+var+"' does not exist on the input file")
+      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
       print(" ")
       exit
